Page MenuHomePhabricator

Uncompressed WAV files with floating point bitrate are rejected
Closed, ResolvedPublic

Description

When trying to upload an uncompressed WAV file with floating point bitrate (32bit to be exact) an error occures stating that "You can only upload PCM (Pulse Code Modulation) WAV.".
Floating point is not stricly PCM, but it's also uncompressed and doesn't involve any proprietary codecs.


Version: unspecified
Severity: normal

Details

Reference
bz60015

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:51 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz60015.
Lazowik created this task.Jan 13 2014, 9:44 PM

Change 103402 had a related patch set uploaded by Michał Łazowik:
Allow to upload WAV files with 32 bit float uncmopressed audio

https://gerrit.wikimedia.org/r/103402

Change 103402 merged by jenkins-bot:
Allow to upload WAV files with 32 bit float uncmopressed audio

https://gerrit.wikimedia.org/r/103402

Merged, will be on commons in about a week and a half.

Note, I don't think this is exhaustive for all possible uncompressed pcm wav audio.

Gilles raised the priority of this task from Normal to Unbreak Now!.Dec 4 2014, 10:25 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Normal.Dec 4 2014, 11:20 AM